Skip to main content
PUT
/
api
/
v1
/
instance
/
meta
/
{id}
update entity by id
curl --request PUT \
  --url https://api.example.com/api/v1/instance/meta/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "ACTIVE",
  "startedAt": 123,
  "expiredAt": 123
}
'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "licenseInstanceId": 123,
  "startedAt": "2022-03-10T16:15:50Z",
  "expiredAt": "2022-03-10T16:15:50Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
startedAt
integer<int64>

License start date

expiredAt
integer<int64>

License expiration date

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
licenseInstanceId
integer<int64>

License instance id

startedAt
string<date-time>

License start date

Example:

"2022-03-10T16:15:50Z"

expiredAt
string<date-time>

License expiration date

Example:

"2022-03-10T16:15:50Z"